Edit a path session

šŸ”‘

Required OAuth scope: paths:write.

Edits specific fields of an existing path session. Fields not included in the request payload remain unchanged.

Path Params
string
required
^[a-fA-F0-9]{24}$

The unique ID of the path.

string
required
^[a-fA-F0-9]{24}$

The unique ID of the path session.

Body Params
string | null

The additional information of the path session.

instructorIds
array of strings
length ≤ 100

The list of unique IDs of the co-instructors of the path session. The update of instructorIds modifies instructorIds in child path sessions.

instructorIds
string
^[a-fA-F0-9]{24}$

The unique ID of the main instructor of the path session. The update of mainInstructorId modifies mainInstructorId in child path sessions.

string
length ≄ 1

The title of the path session.

string
^[a-fA-F0-9]{24}$

The unique ID of the path session owner group.

string
enum

The registration request validation options for open access registrations. Options are:

  • disabled: There is no validation for registration.
  • instructors: The instructors validate the registration request.
  • managers: The managers validate the registration request.
  • adminsAndManagers: The managers and group admin validate the registration request.
  • adminsCoachesInstructorsManagers:Managers, instructors, group admins and coaches validate the registration request.
Allowed:
date-time

The date and time when the path session starts, in the YYYY-MM-DDThh:mm:ss.sssZ format (ISO 8601 in Coordinated Universal Time (UTC)).

date-time | null

The date and time when the path session ends, in the YYYY-MM-DDThh:mm:ss.sssZ format (ISO 8601 in Coordinated Universal Time (UTC)).

integer | null
≄ 1

The maximum number of learners that can self enroll in the path session.

automaticReenrollment

The automatic reenrollment settings if enabled for the path session.

ipFiltering
object | null

The IP filtering configuration of the path session.

Headers
string
enum
required

The version of the API.

Allowed:
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json